stages:
- build
- update_google_mirror

build:
  variables:
    DOCKER_HOST: 'tcp://localhost:2375'
  image: docker:latest
  services:
    - docker:dind
  stage: build
  script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
    - docker build -t "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG" .
    - docker push "$CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG"
  only:
    - branches

upload:
  image: google/cloud-sdk
  stage: update_google_mirror
  script:
    - echo "$googKey" > key.json
    - sleep 2
    - gcloud auth activate-service-account --key-file key.json
    - git config --global credential.'https://source.developers.google.com'.helper gcloud.sh
    - git remote add google https://source.developers.google.com/p/pn-sharedhosting/r/status-peccy-net
    - git push google --tags
  only:
    - tags
